Skip to main content
PATCH
/
workspaces
/
{workspace_id}
/
tables
/
{table_id}
/
columns
/
{column_id}
Error
A valid request URL is required to generate request examples
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

table_id
string<uuid>
required
column_id
string<uuid>
required
workspace_id
string<uuid>
required

Body

application/json

Update model for a table column.

name
string | null

The name of the column

Required string length: 1 - 100
type
enum<string> | null

The SQL type of the column

Available options:
TEXT,
INTEGER,
NUMERIC,
DATE,
BOOLEAN,
TIMESTAMPTZ,
JSONB,
SELECT,
MULTI_SELECT
Required string length: 1 - 100
nullable
boolean | null

Whether the column can be null

default
any | null

The default value of the column

is_index
boolean | null

True creates a unique index, False drops it, None leaves unchanged.

options
string[] | null

Response

Successful Response